Index: data/branches/cegui0.8_ogre1.9/gui/looknfeels/TaharezGreenLook.looknfeel
===================================================================
--- data/branches/cegui0.8_ogre1.9/gui/looknfeels/TaharezGreenLook.looknfeel	(revision 11790)
+++ data/branches/cegui0.8_ogre1.9/gui/looknfeels/TaharezGreenLook.looknfeel	(revision 11792)
@@ -4612,29 +5449,49 @@
         <NamedArea name="ItemRenderAreaHVScroll">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="TaharezGreenLook" image="ListboxLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="TaharezGreenLook" image="ListboxTop" dimension="Height" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" offset="-12" type="RightEdge" />
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" offset="-12" type="BottomEdge" />
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="TaharezGreenLook/ListboxLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <ImageDim dimension="Height" name="TaharezGreenLook/ListboxTop" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <UnifiedDim offset="-12" scale="1" type="RightEdge" />
+                </Dim>
+                <Dim type="BottomEdge">
+                    <UnifiedDim offset="-12" scale="1" type="BottomEdge" />
                 </Dim>
             </Area>
         </NamedArea>
-        <Child  type="TaharezGreenLook/HorizontalScrollbar" nameSuffix="__auto_hscrollbar__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="1" offset="-12" type="Width" /></Dim>
-                <Dim type="Height" ><AbsoluteDim value="12" /></Dim>
+        <Child nameSuffix="__auto_hscrollbar__" type="TaharezGreenLook/HorizontalScrollbar">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim offset="-12" scale="1" type="Width" />
+                </Dim>
+                <Dim type="Height">
+                    <AbsoluteDim value="12" />
+                </Dim>
             </Area>
             <VertAlignment type="BottomAligned" />
         </Child>
-        <Child  type="TaharezGreenLook/VerticalScrollbar" nameSuffix="__auto_vscrollbar__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><AbsoluteDim value="12" /></Dim>
-                <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
+        <Child nameSuffix="__auto_vscrollbar__" type="TaharezGreenLook/VerticalScrollbar">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <AbsoluteDim value="12" />
+                </Dim>
+                <Dim type="Height">
+                    <UnifiedDim scale="1" type="Height" />
+                </Dim>
             </Area>
             <HorzAlignment type="RightAligned" />
@@ -4643,18 +5500,26 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image type="TopLeftCorner" imageset="TaharezGreenLook" image="ListboxTopLeft" />
-                <Image type="TopRightCorner" imageset="TaharezGreenLook" image="ListboxTopRight" />
-                <Image type="BottomLeftCorner" imageset="TaharezGreenLook" image="ListboxBottomLeft" />
-                <Image type="BottomRightCorner" imageset="TaharezGreenLook" image="ListboxBottomRight" />
-                <Image type="LeftEdge" imageset="TaharezGreenLook" image="ListboxLeft" />
-                <Image type="RightEdge" imageset="TaharezGreenLook" image="ListboxRight" />
-                <Image type="TopEdge" imageset="TaharezGreenLook" image="ListboxTop" />
-                <Image type="BottomEdge" imageset="TaharezGreenLook" image="ListboxBottom" />
-                <Image type="Background" imageset="TaharezGreenLook" image="ListboxBackdrop" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="TopLeftCorner" name="TaharezGreenLook/ListboxTopLeft" />
+                <Image component="TopRightCorner" name="TaharezGreenLook/ListboxTopRight" />
+                <Image component="BottomLeftCorner" name="TaharezGreenLook/ListboxBottomLeft" />
+                <Image component="BottomRightCorner" name="TaharezGreenLook/ListboxBottomRight" />
+                <Image component="LeftEdge" name="TaharezGreenLook/ListboxLeft" />
+                <Image component="RightEdge" name="TaharezGreenLook/ListboxRight" />
+                <Image component="TopEdge" name="TaharezGreenLook/ListboxTop" />
+                <Image component="BottomEdge" name="TaharezGreenLook/ListboxBottom" />
+                <Image component="Background" name="TaharezGreenLook/ListboxBackdrop" />
             </FrameComponent>
         </ImagerySection>
@@ -4670,29 +5535,22 @@
         </StateImagery>
     </WidgetLook>
-
-
-    <!--
-    ***************************************************
-        TaharezGreenLook/ListboxItem
-    ***************************************************
-    -->
     <WidgetLook name="TaharezGreenLook/ListboxItem">
-        <PropertyDefinition name="TextColour" initialValue="FFFFFFFF" redrawOnWrite="true" />
-        <PropertyDefinition name="SelectedTextColour" initialValue="FFFFFFFF" redrawOnWrite="true" />
-        <PropertyDefinition name="SelectionBrush" initialValue="set:TaharezGreenLook image:ListboxSelectionBrush" redrawOnWrite="true" />
-        <PropertyDefinition name="SelectionColour" initialValue="FF4444AA" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FFFFFFFF" name="TextColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FFFFFFFF" name="SelectedTextColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="set:TaharezGreenLook image:ListboxSelectionBrush" name="SelectionBrush" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FF4444AA" name="SelectionColour" redrawOnWrite="true" />
         <Property name="Selectable" value="True" />
         <NamedArea name="ContentSize">
             <Area>
-                <Dim type="LeftEdge" >
-                    <AbsoluteDim value="0" />
-                </Dim>
-                <Dim type="TopEdge" >
-                    <AbsoluteDim value="0" />
-                </Dim>
-                <Dim type="Width" >
-                    <FontDim type="HorzExtent" padding="6" />
-                </Dim>
-                <Dim type="Height" >
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <FontDim padding="6" type="HorzExtent" />
+                </Dim>
+                <Dim type="Height">
                     <FontDim type="LineSpacing" />
                 </Dim>
@@ -4709,5 +5567,5 @@
                     </Dim>
                     <Dim type="RightEdge">
-                        <UnifiedDim scale="1" offset="-3" type="RightEdge" />
+                        <UnifiedDim offset="-3" scale="1" type="RightEdge" />
                     </Dim>
                     <Dim type="BottomEdge">
@@ -4770,12 +5628,6 @@
         </StateImagery>
     </WidgetLook>
-
-<!--
-/**********************************************************************************************************
-	TaharezGreenLook/Tree
-***********************************************************************************************************/
--->
-<WidgetLook name="TaharezGreenLook/Tree">
-        <Property name="SelectionBrushImage" value="set:TaharezGreenLook image:GenericBrush" />
+    <WidgetLook name="TaharezGreenLook/Tree">
+        <Property name="SelectionBrushImage" value="TaharezGreenLook/GenericBrush" />
         <Property name="NormalTextColour" value="FF000000" />
         <Property name="SelectedTextColour" value="FFFFFFFF" />
@@ -4784,37 +5636,55 @@
         <NamedArea name="ItemRenderingArea">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="TaharezGreenLook" image="WindowLeftEdge" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="TaharezGreenLook" image="WindowTopEdge" dimension="Height" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="TaharezGreenLook" image="WindowRightEdge" dimension="Width" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="TaharezGreenLook" image="WindowBottomEdge" dimension="Height" />
-                        </DimOperator>
-                    </UnifiedDim>
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="TaharezGreenLook/WindowLeftEdge" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <ImageDim dimension="Height" name="TaharezGreenLook/WindowTopEdge" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <ImageDim dimension="Width" name="TaharezGreenLook/WindowRightEdge" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="BottomEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                        <ImageDim dimension="Height" name="TaharezGreenLook/WindowBottomEdge" />
+                    </OperatorDim>
                 </Dim>
             </Area>
         </NamedArea>
-        <Child  type="TaharezGreenLook/HorizontalScrollbar" nameSuffix="__auto_hscrollbar__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="5" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="1" offset="-25" type="Width" /></Dim>
-                <Dim type="Height" ><AbsoluteDim value="10" /></Dim>
+        <Child nameSuffix="__auto_hscrollbar__" type="TaharezGreenLook/HorizontalScrollbar">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="5" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim offset="-25" scale="1" type="Width" />
+                </Dim>
+                <Dim type="Height">
+                    <AbsoluteDim value="10" />
+                </Dim>
             </Area>
             <VertAlignment type="BottomAligned" />
         </Child>
-        <Child  type="TaharezGreenLook/VerticalScrollbar" nameSuffix="__auto_vscrollbar__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="-5" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="5" /></Dim>
-                <Dim type="Width" ><AbsoluteDim value="10" /></Dim>
-                <Dim type="Height" ><UnifiedDim scale="1" offset="-10" type="Height" /></Dim>
+        <Child nameSuffix="__auto_vscrollbar__" type="TaharezGreenLook/VerticalScrollbar">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="-5" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="5" />
+                </Dim>
+                <Dim type="Width">
+                    <AbsoluteDim value="10" />
+                </Dim>
+                <Dim type="Height">
+                    <UnifiedDim offset="-10" scale="1" type="Height" />
+                </Dim>
             </Area>
             <HorzAlignment type="RightAligned" />
@@ -4823,12 +5693,18 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge"><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge"><AbsoluteDim value="0" /></Dim>
-                    <Dim type="RightEdge"><UnifiedDim scale="1" type="RightEdge" /></Dim>
-                    <Dim type="BottomEdge"><UnifiedDim scale="1" type="BottomEdge" /></Dim>
-                </Area>
-                <Image imageset="TaharezGreenLook" image="TreeListClosed" />
-              <!--  <VertFormat type="Stretched" />
-                <HorzFormat type="Stretched" /> -->
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="RightEdge">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                    </Dim>
+                </Area>
+                <Image name="TaharezGreenLook/TreeListClosed" />
             </ImageryComponent>
         </ImagerySection>
@@ -4836,10 +5712,18 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge"><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge"><AbsoluteDim value="0" /></Dim>
-                    <Dim type="RightEdge"><UnifiedDim scale="1" type="RightEdge" /></Dim>
-                    <Dim type="BottomEdge"><UnifiedDim scale="1" type="BottomEdge" /></Dim>
-                </Area>
-                <Image imageset="TaharezGreenLook" image="TreeListOpened" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="RightEdge">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                    </Dim>
+                </Area>
+                <Image name="TaharezGreenLook/TreeListOpened" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
@@ -4849,5 +5733,5 @@
             <Layer>
                 <Section look="TaharezGreenLook/StaticShared" section="frame">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
@@ -4856,38 +5740,40 @@
             <Layer>
                 <Section look="TaharezGreenLook/StaticShared" section="frame">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
         </StateImagery>
     </WidgetLook>
-
- <!--
-    ***************************************************
-        TaharezGreenLook/JuuButton
-    ***************************************************
-    -->
     <WidgetLook name="TaharezGreenLook/JuuButton">
-        <PropertyDefinition name="NormalTextColour" initialValue="FFFFFFFF" redrawOnWrite="true" />
-        <PropertyDefinition name="HoverTextColour" initialValue="FFAAFFAA" redrawOnWrite="true" />
-        <PropertyDefinition name="PushedTextColour" initialValue="FFFFFFFF" redrawOnWrite="true" />
-        <PropertyDefinition name="DisabledTextColour" initialValue="FF7F7F7F" redrawOnWrite="true" />
-        <PropertyDefinition name="VertLabelFormatting" initialValue="CentreAligned" />
-        <PropertyDefinition name="HorzLabelFormatting" initialValue="CentreAligned" />
-        <PropertyDefinition name="NormalImage" initialValue="" redrawOnWrite="true" />
-        <PropertyDefinition name="NormalImageBackground" initialValue="set:TaharezGreenLook image:JuuButton" redrawOnWrite="true" />
-        <PropertyDefinition name="NormalImageRightEdge" initialValue="set:TaharezGreenLook image:JuuButton" redrawOnWrite="true" />
-        <PropertyDefinition name="NormalImageLeftEdge" initialValue="set:TaharezGreenLook image:JuuButton" redrawOnWrite="true" />
-        <PropertyDefinition name="HoverImage" initialValue="" redrawOnWrite="true" />
-        <PropertyDefinition name="PushedImage" initialValue="" redrawOnWrite="true" />
-        <PropertyDefinition name="DisabledImage" initialValue="" redrawOnWrite="true" />
-        <PropertyDefinition name="VertImageFormatting" initialValue="Stretched" redrawOnWrite="true" />
-        <PropertyDefinition name="HorzImageFormatting" initialValue="Stretched" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FFFFFFFF" name="NormalTextColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FFAAFFAA" name="HoverTextColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FFFFFFFF" name="PushedTextColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FF7F7F7F" name="DisabledTextColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="CentreAligned" name="VertLabelFormatting" />
+        <PropertyDefinition initialValue="CentreAligned" name="HorzLabelFormatting" />
+        <PropertyDefinition initialValue="" name="NormalImage" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="set:TaharezGreenLook image:JuuButton" name="NormalImageBackground" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="set:TaharezGreenLook image:JuuButton" name="NormalImageRightEdge" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="set:TaharezGreenLook image:JuuButton" name="NormalImageLeftEdge" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="" name="HoverImage" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="" name="PushedImage" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="" name="DisabledImage" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="Stretched" name="VertImageFormatting" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="Stretched" name="HorzImageFormatting" redrawOnWrite="true" />
         <ImagerySection name="label">
             <TextComponent>
                 <Area>
-                    <Dim type="LeftEdge"><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge"><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width"><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height"><UnifiedDim scale="1" type="Height" /></Dim>
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
                 </Area>
                 <VertFormatProperty name="VertLabelFormatting" />
@@ -4898,35 +5784,44 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge"><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge"><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width"><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height"><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image type="LeftEdge" imageset="TaharezGreenLook" image="JuuButton" />
-                <Image type="RightEdge" imageset="TaharezGreenLook" image="JuuButton" />
-                <Image type="Background" imageset="TaharezGreenLook" image="JuuButton" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="LeftEdge" name="TaharezGreenLook/JuuButton" />
+                <Image component="RightEdge" name="TaharezGreenLook/JuuButton" />
+                <Image component="Background" name="TaharezGreenLook/JuuButton" />
             </FrameComponent>
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" >
-                        <AbsoluteDim value="0" >
-                            <DimOperator op="Add">
-                                <ImageDim imageset="TaharezGreenLook" image="JuuButton" dimension="Width" />
-                            </DimOperator>
-                        </AbsoluteDim>
-                    </Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" >
-                        <UnifiedDim scale="1" type="Width">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="TaharezGreenLook" image="JuuButton" dimension="Width">
-                                    <DimOperator op="Add">
-                                        <ImageDim imageset="TaharezGreenLook" image="JuuButton" dimension="Width" />
-                                    </DimOperator>
-                                </ImageDim>
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
+                    <Dim type="LeftEdge">
+                        <OperatorDim op="Add">
+                            <AbsoluteDim value="0" />
+                            <ImageDim dimension="Width" name="TaharezGreenLook/JuuButton" />
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="Width" />
+                            <OperatorDim op="Add">
+                                <ImageDim dimension="Width" name="TaharezGreenLook/JuuButton" />
+                                <ImageDim dimension="Width" name="TaharezGreenLook/JuuButton" />
+                            </OperatorDim>
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
                 </Area>
                 <ImageProperty name="NormalImageBackground" />
@@ -4936,8 +5831,16 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
                 </Area>
                 <ImageProperty name="NormalImageRightEdge" />
@@ -4947,8 +5850,16 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
                 </Area>
                 <ImageProperty name="NormalImageLeftEdge" />
@@ -4957,8 +5868,16 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
                 </Area>
                 <ImageProperty name="NormalImage" />
@@ -4970,19 +5889,35 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image type="LeftEdge" imageset="TaharezGreenLook" image="JuuButton" />
-                <Image type="RightEdge" imageset="TaharezGreenLook" image="JuuButton" />
-                <Image type="Background" imageset="TaharezGreenLook" image="JuuButton" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="LeftEdge" name="TaharezGreenLook/JuuButton" />
+                <Image component="RightEdge" name="TaharezGreenLook/JuuButton" />
+                <Image component="Background" name="TaharezGreenLook/JuuButton" />
             </FrameComponent>
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
                 </Area>
                 <ImageProperty name="HoverImage" />
